package com.yonge.cooleshow.biz.dal.wrapper.im;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 即时通讯群组
 * 2022-11-26 10:55:18
 */
@ApiModel(value = "ImGroupWrapper对象", description = "即时通讯群组查询对象")
public class ImGroupWrapper {

    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @ApiModel("IM用户信息")
    public static class ImUserInfo implements Serializable {

        @ApiModelProperty("用户ID")
        private String imUserId;

        @ApiModelProperty("授权Token")
        private String imToken;

        public ImUserInfo imUserId(String imUserId) {
            this.imUserId = imUserId;
            return this;
        }
    }
}